using System;
using System.Web;

namespace Stat.Cache
{
    class Methods
    {
        /// <summary>
        /// 更新缓存
        /// </summary>
        /// <param name="fullPath">（完整文件路径：@dir\a.txt）</param>
        public static void ChangeCache(string fullPath)
        {
            fullPath = HttpContext.Current.Server.MapPath(fullPath);

            if (fullPath.Length == 0) { return; }

            if (!System.IO.File.Exists(fullPath))//如果文件不存在
            {
                CreatFile(fullPath);
            }
            else
            {
                //try 容同时操作 出错。
                try
                {

                    System.IO.File.SetLastWriteTime(fullPath, DateTime.Now);
                }
                catch (Exception) { }
            }
        }
        /// <summary>
        /// 创建 文件
        /// </summary>
        /// <param name="fullPath">（映射后的 完整文件路径）</param>
        public static void CreatFile(string fullPath)
        {
            string _Path = fullPath.Substring(0, fullPath.LastIndexOf('\\'));

            if (!System.IO.File.Exists(fullPath))//如果文件不存在
            {
                if (!System.IO.Directory.Exists(_Path)) //如果目录不存在
                {
                    System.IO.Directory.CreateDirectory(_Path);//创建所有目录
                }
                try
                {
                    System.IO.File.CreateText(fullPath);//创建文件      
                }
                catch (Exception) { }
            }
        }
    }
}